gd Namespace Reference

## Classes

class | No

## Functions

def | genreCount (genre_year_divide1)
| genreCount() is a function used to give the count of Genre from the given input data More...
def | getActors (genre_year_divide1)
| getActors() function is used to give the list of actors in the data provided More...
def | linkGenre (actor_divide, genre_year_divide1)
| linkGenre() fuction is used to give the actors linked with the corresponding genres More...
def | topActors (u, t)
| topActors() function gives the best possible top actors in a genre. More...
def | getGenre ()
| getGenre() function is giving the genre of the particular actors by reading the file BollywoodMovieDetail.csv and classifying them based on genre
def | splitGenre (G, genre_divide)
| splitGenre() function is used to split the genres of all the actors in multiple genres if he/she worked in multiple genres

## Detailed Description

    @file File Documentation

## Function Documentation

## genreCount()

def gd.genreCount | ( |  | genre_year_divide1 | ) |

genreCount() is a function used to give the count of Genre from the given input data

Parameters

  genre_year_divide1 | input data

## getActors()

def gd.getActors | ( |  | genre_year_divide1 | ) |

getActors() function is used to give the list of actors in the data provided

Parameters

  genre_year_divide | input data

## linkGenre()

def gd.linkGenre | ( |  | actor_divide,
|  |  | genre_year_divide1
| ) |  |

linkGenre() fuction is used to give the actors linked with the corresponding genres

Parameters

  actor_divide | input data for actor names
  genre_year_divide1 | input data for year

## topActors()

def gd.topActors | ( |  | u,
|  |  | t
| ) |  |

topActors() function gives the best possible top actors in a genre.

In this function we are saving top 10 actors for each genre in a CSV file